Assign a company to a BDR agent
curl --request POST \
--url https://app.alvahq.com/api/v1/company/{id}/bdr-agent \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"agentId": "",
"waitForEnrichment": true,
"nextActionNote": ""
}
'import requests
url = "https://app.alvahq.com/api/v1/company/{id}/bdr-agent"
payload = {
"agentId": "",
"waitForEnrichment": True,
"nextActionNote": ""
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({agentId: '', waitForEnrichment: true, nextActionNote: ''})
};
fetch('https://app.alvahq.com/api/v1/company/{id}/bdr-agent', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://app.alvahq.com/api/v1/company/{id}/bdr-agent",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'agentId' => '',
'waitForEnrichment' => true,
'nextActionNote' => ''
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://app.alvahq.com/api/v1/company/{id}/bdr-agent"
payload := strings.NewReader("{\n \"agentId\": \"\",\n \"waitForEnrichment\": true,\n \"nextActionNote\": \"\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://app.alvahq.com/api/v1/company/{id}/bdr-agent")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"agentId\": \"\",\n \"waitForEnrichment\": true,\n \"nextActionNote\": \"\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://app.alvahq.com/api/v1/company/{id}/bdr-agent")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"agentId\": \"\",\n \"waitForEnrichment\": true,\n \"nextActionNote\": \"\"\n}"
response = http.request(request)
puts response.read_body{
"success": true,
"message": "<string>",
"data": {
"outreachId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"companyId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"companyName": "<string>",
"agentId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"agentName": "<string>",
"agentStatus": "<string>",
"agentMode": "<string>",
"status": "<string>",
"waitForEnrichment": true,
"nextActionNote": "<string>",
"nextEvaluationAt": "2023-11-07T05:31:56Z",
"eligibleNow": true,
"enrichmentQueued": true,
"enrichmentBlockedReason": "<string>",
"linkedInBlockedReason": "<string>",
"blockedReason": "<string>",
"created": true
},
"resource": "<string>"
}{
"error": "Unauthorised",
"message": "Invalid or revoked API key"
}{
"error": "Forbidden",
"message": "Missing required scope"
}{
"error": "Not Found",
"message": "Company with id 'xxx' not found"
}{
"error": "Unprocessable Entity",
"message": "Validation failed",
"details": {
"name": [
"Name is required"
]
}
}BDR Agents
Assign a company to a BDR agent
Creates or updates the outreach row for this company and agent. waitForEnrichment is required. true waits until enrichment finishes (and queues it when the company has a website or domain and an enrichment profile). false lets the agent evaluate the company on its next run using the fields already stored. An optional nextActionNote is stored as a human instruction.
POST
/
api
/
v1
/
company
/
{id}
/
bdr-agent
Assign a company to a BDR agent
curl --request POST \
--url https://app.alvahq.com/api/v1/company/{id}/bdr-agent \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"agentId": "",
"waitForEnrichment": true,
"nextActionNote": ""
}
'import requests
url = "https://app.alvahq.com/api/v1/company/{id}/bdr-agent"
payload = {
"agentId": "",
"waitForEnrichment": True,
"nextActionNote": ""
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({agentId: '', waitForEnrichment: true, nextActionNote: ''})
};
fetch('https://app.alvahq.com/api/v1/company/{id}/bdr-agent', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://app.alvahq.com/api/v1/company/{id}/bdr-agent",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'agentId' => '',
'waitForEnrichment' => true,
'nextActionNote' => ''
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://app.alvahq.com/api/v1/company/{id}/bdr-agent"
payload := strings.NewReader("{\n \"agentId\": \"\",\n \"waitForEnrichment\": true,\n \"nextActionNote\": \"\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://app.alvahq.com/api/v1/company/{id}/bdr-agent")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"agentId\": \"\",\n \"waitForEnrichment\": true,\n \"nextActionNote\": \"\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://app.alvahq.com/api/v1/company/{id}/bdr-agent")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"agentId\": \"\",\n \"waitForEnrichment\": true,\n \"nextActionNote\": \"\"\n}"
response = http.request(request)
puts response.read_body{
"success": true,
"message": "<string>",
"data": {
"outreachId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"companyId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"companyName": "<string>",
"agentId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"agentName": "<string>",
"agentStatus": "<string>",
"agentMode": "<string>",
"status": "<string>",
"waitForEnrichment": true,
"nextActionNote": "<string>",
"nextEvaluationAt": "2023-11-07T05:31:56Z",
"eligibleNow": true,
"enrichmentQueued": true,
"enrichmentBlockedReason": "<string>",
"linkedInBlockedReason": "<string>",
"blockedReason": "<string>",
"created": true
},
"resource": "<string>"
}{
"error": "Unauthorised",
"message": "Invalid or revoked API key"
}{
"error": "Forbidden",
"message": "Missing required scope"
}{
"error": "Not Found",
"message": "Company with id 'xxx' not found"
}{
"error": "Unprocessable Entity",
"message": "Validation failed",
"details": {
"name": [
"Name is required"
]
}
}Authorizations
API key from Settings > Developer. Format: alva_sk_...
Path Parameters
The company ID
Body
application/json